ALAS-2017-838


Amazon Linux AMI Security Advisory: ALAS-2017-838
Advisory Release Date: 2017-06-06 22:45 Pacific
Severity: Medium

Issue Overview:

Selectivity estimators bypass SELECT privilege checks
It was found that some selectivity estimation functions did not check user privileges before providing information from pg_statistic, possibly leaking information. An unprivileged attacker could use this flaw to steal some information from tables they are otherwise not allowed to access. (CVE-2017-7484 )

pg_user_mappings view discloses foreign server passwords
It was found that the pg_user_mappings view from postgresql could disclose information about user mappings to a foreign database to unprivileged users. An authenticated attacker with USAGE privilege for this mapping could, when querying the view, obtain user mapping data, such as the username and password used to connect to the foreign database. (CVE-2017-7486 )


Affected Packages:

postgresql92


Issue Correction:
Run yum update postgresql92 to update your system.

New Packages:
i686:
    postgresql92-plperl-9.2.21-1.60.amzn1.i686
    postgresql92-server-9.2.21-1.60.amzn1.i686
    postgresql92-libs-9.2.21-1.60.amzn1.i686
    postgresql92-9.2.21-1.60.amzn1.i686
    postgresql92-plpython26-9.2.21-1.60.amzn1.i686
    postgresql92-pltcl-9.2.21-1.60.amzn1.i686
    postgresql92-docs-9.2.21-1.60.amzn1.i686
    postgresql92-contrib-9.2.21-1.60.amzn1.i686
    postgresql92-debuginfo-9.2.21-1.60.amzn1.i686
    postgresql92-server-compat-9.2.21-1.60.amzn1.i686
    postgresql92-plpython27-9.2.21-1.60.amzn1.i686
    postgresql92-devel-9.2.21-1.60.amzn1.i686
    postgresql92-test-9.2.21-1.60.amzn1.i686

src:
    postgresql92-9.2.21-1.60.amzn1.src

x86_64:
    postgresql92-plperl-9.2.21-1.60.amzn1.x86_64
    postgresql92-libs-9.2.21-1.60.amzn1.x86_64
    postgresql92-pltcl-9.2.21-1.60.amzn1.x86_64
    postgresql92-plpython26-9.2.21-1.60.amzn1.x86_64
    postgresql92-test-9.2.21-1.60.amzn1.x86_64
    postgresql92-server-9.2.21-1.60.amzn1.x86_64
    postgresql92-9.2.21-1.60.amzn1.x86_64
    postgresql92-plpython27-9.2.21-1.60.amzn1.x86_64
    postgresql92-debuginfo-9.2.21-1.60.amzn1.x86_64
    postgresql92-server-compat-9.2.21-1.60.amzn1.x86_64
    postgresql92-contrib-9.2.21-1.60.amzn1.x86_64
    postgresql92-devel-9.2.21-1.60.amzn1.x86_64
    postgresql92-docs-9.2.21-1.60.amzn1.x86_64